document.addEventListener('DOMContentLoaded', () => {
  // Smooth scroll
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Floating animation
  const mascot = document.querySelector('.mascot');
  let position = 0;
  let direction = 1;
  
  function animate() {
    position += direction * 0.5;
    if (position > 20 || position < -20) direction *= -1;
    mascot.style.transform = `translateY(${position}px)`;
    requestAnimationFrame(animate);
  }
  animate();

  // Price ticker animation
  const priceElement = document.querySelector('.token-price');
  setInterval(() => {
    priceElement.classList.toggle('price-pulse');
  }, 3000);
});